[pybind11] 01/02: Run autopkgtests for all supported Python versions

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Sat Feb 25 12:25:23 UTC 2017


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository pybind11.

commit e755ef44125b4563aafaa729c6dae8d8593545af
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Sat Feb 25 11:23:35 2017 +0000

    Run autopkgtests for all supported Python versions
---
 debian/tests/control | 44 ++++++++++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 10 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index bf1f129..03f0670 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,15 +1,39 @@
-Test-Command: cp debian/tests/example/* $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP
- ; cmake . && make && python -c "import example; assert(example.add(1, 2) == 3)"
-Depends: cmake, g++ | c++-compiler, pybind11-dev, python-dev
+Test-Command: set -e
+ ; cp debian/tests/example/* "$AUTOPKGTEST_TMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; cmake --build .
+ ; $py -c "import example; assert(example.add(1, 2) == 3)"
+ ; done
+Depends: cmake, g++ | c++-compiler, pybind11-dev, python-all-dev
 Restrictions: allow-stderr
 
-Test-Command: cp debian/tests/example/* $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP
- ; cmake . && make && python3 -c "import example; assert(example.add(1, 2) == 3)"
-Depends: cmake, g++ | c++-compiler, pybind11-dev, python3-dev
+Test-Command: set -e
+ ; cp debian/tests/example/* "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; cmake -DPYTHON_EXECUTABLE=/usr/bin/$py .
+ ; cmake --build .
+ ; $py -c "import example; assert(example.add(1, 2) == 3)"
+ ; done
+Depends: cmake, g++ | c++-compiler, pybind11-dev, python3-all-dev
 Restrictions: allow-stderr
 
-Test-Command: python -c "import pybind11; print pybind11.get_include()"
-Depends: python-pybind11
+Test-Command: set -e
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -c "import pybind11; print(pybind11.get_include())"
+ ; done
+Depends: python-all, python-pybind11
 
-Test-Command: python3 -c "import pybind11; print(pybind11.get_include())"
-Depends: python3-pybind11
+Test-Command: set -e
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -c "import pybind11; print(pybind11.get_include())"
+ ; done
+Depends: python3-all, python3-pybind11

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pybind11.git



More information about the debian-science-commits mailing list